/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.l10n

import androidx.compose.material.Strings
import androidx.compose.material.Translations

@Suppress("UnusedReceiverParameter", "DuplicatedCode")
internal fun Translations.hi() = mapOf(
    Strings.NavigationMenu to "नेविगेशन मेन्यू",
    Strings.ExposedDropdownMenu to "ड्रॉपडाउन मेन्यू",
    Strings.CloseDrawer to "नेविगेशन मेन्यू बंद करें",
    Strings.CloseSheet to "शीट बंद करें",
    Strings.DefaultErrorMessage to "अमान्य इनपुट",
    Strings.SliderRangeStart to "रेंज की शुरुआत",
    Strings.SliderRangeEnd to "रेंज की सीमा",
)
