/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.l10n

import androidx.compose.material.Strings
import androidx.compose.material.Translations

@Suppress("UnusedReceiverParameter", "DuplicatedCode")
internal fun Translations.tr() = mapOf(
    Strings.NavigationMenu to "Gezinme menüsü",
    Strings.ExposedDropdownMenu to "Açılır menü",
    Strings.CloseDrawer to "Gezinme menüsünü kapat",
    Strings.CloseSheet to "Sayfayı kapat",
    Strings.DefaultErrorMessage to "Geçersiz giriş",
    Strings.SliderRangeStart to "Aralık başlangıcı",
    Strings.SliderRangeEnd to "Aralık sonu",
)
